package com.caliverse.admin.dynamodb.repository;

import com.caliverse.admin.domain.entity.BlackList;
import com.caliverse.admin.dynamodb.domain.atrrib.AccountBaseAttrib;
import com.caliverse.admin.dynamodb.domain.doc.AccountBaseDoc;

import java.util.List;

public interface AccountBaseRepository extends DynamoDBRepository<AccountBaseDoc> {
    boolean isBlockUser(String account_id);
    void updateBlockUserStart(String account_id, BlackList blackList);
    void updateBlockUserEnd(String account_id);
    AccountBaseAttrib findUser(Long account_id);
}
